Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.tools
Class CayenneGeneratorTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.cayenne.tools.CayenneTask
                  org.apache.cayenne.tools.CayenneGeneratorTask

Direct Known Subclasses:
  CayenneGenerator

    public class CayenneGeneratorTask

extends CayenneTask

An Ant task to perform class generation based on CayenneDataMap.

Since:
  3.0

Field Summary
`protected File[]` | `additionalMaps`
`protected boolean` | `client`
`protected File` | `destDir`
`protected String` | `embeddablesupertemplate`
`protected String` | `embeddabletemplate`
`protected String` | `encoding`
`protected String` | `excludeEntitiesPattern`
`protected String` | `includeEntitiesPattern`
`protected boolean` | `makepairs`
`protected File` | `map`
`protected String` | `mode`
`protected String` | `outputPattern`
`protected boolean` | `overwrite`
`protected String` | `superpkg`
`protected String` | `supertemplate`
`protected String` | `template`
`protected boolean` | `usepkgpath`
`protected String` | `version` Deprecated. since 3.0
`protected foundrylogic.vpp.VPPConfig` | `vppConfig`

Fields inherited from class org.apache.cayenne.tools.CayenneTask
`classpath`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`CayenneGeneratorTask()`

Method Summary
`Object` | `createConfig()` Provides a `VPPConfig` object to configure.
`protected DefaultClassGenerator` | `createGenerator()` Deprecated. since 3.0. Use `createGeneratorAction()`.
`protected ClassGenerationAction` | `createGeneratorAction()`
`void` | `execute()` Executes the task.
`protected org.apache.velocity.VelocityContext` | `getVppContext()`
`void` | `setAdditionalMaps(org.apache.tools.ant.types.Path additionalMapsPath)` Sets the additional DataMaps.
`void` | `setClient(boolean client)` Sets `client` property.
`void` | `setDestDir(File destDir)` Sets the destDir.
`void` | `setEmbeddablesupertemplate(String embeddablesupertemplate)`
`void` | `setEmbeddabletemplate(String embeddabletemplate)`
`void` | `setEncoding(String encoding)` Sets `encoding` property that allows to generate files using non-default encoding.
`void` | `setExcludeEntities(String excludeEntitiesPattern)` Sets `excludeEntitiesPattern` property.
`void` | `setIncludeEntities(String includeEntitiesPattern)` Sets `includeEntitiesPattern` property.
`void` | `setMakepairs(boolean makepairs)` Sets `makepairs` property.
`void` | `setMap(File map)` Sets the map.
`void` | `setMode(String mode)` Sets `mode` property.
`void` | `setOutputPattern(String outputPattern)` Sets `outputPattern` property.
`void` | `setOverwrite(boolean overwrite)` Sets `overwrite` property.
`void` | `setSuperpkg(String superpkg)` Sets `superpkg` property.
`void` | `setSupertemplate(String supertemplate)` Sets `supertemplate` property.
`void` | `setTemplate(String template)` Sets `template` property.
`void` | `setUsepkgpath(boolean usepkgpath)` Sets `usepkgpath` property.
`void` | `setVersion(String version)` Deprecated. since 3.0
`protected void` | `validateAttributes()` Validates attributes that are not related to internal DefaultClassGenerator.

Methods inherited from class org.apache.cayenne.tools.CayenneTask
`setClasspath, setClasspathRef`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### includeEntitiesPattern

    protected String includeEntitiesPattern

### excludeEntitiesPattern

    protected String excludeEntitiesPattern

### vppConfig

    protected foundrylogic.vpp.VPPConfig vppConfig

### map

    protected File map

### additionalMaps

    protected File[] additionalMaps

### client

    protected boolean client

### destDir

    protected File destDir

### encoding

    protected String encoding

### makepairs

    protected boolean makepairs

### mode

    protected String mode

### outputPattern

    protected String outputPattern

### overwrite

    protected boolean overwrite

### superpkg

    protected String superpkg

### supertemplate

    protected String supertemplate

### template

    protected String template

### embeddabletemplate

    protected String embeddabletemplate

### embeddablesupertemplate

    protected String embeddablesupertemplate

### usepkgpath

    protected boolean usepkgpath

### version

    protected String version

  Deprecated. since 3.0

Constructor Detail

### CayenneGeneratorTask

    public CayenneGeneratorTask()

Method Detail

### getVppContext

    protected org.apache.velocity.VelocityContext getVppContext()

### createGeneratorAction

    protected ClassGenerationAction createGeneratorAction()

### createGenerator

    protected DefaultClassGenerator createGenerator()

  Deprecated. since 3.0. Use `createGeneratorAction()`.

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Executes the task. It will be called by ant framework.

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

### validateAttributes

    protected void validateAttributes()
                               throws org.apache.tools.ant.BuildException

  Validates attributes that are not related to internal DefaultClassGenerator. Throws BuildException if attributes are invalid.

  Throws:
    `org.apache.tools.ant.BuildException`

### setMap

    public void setMap(File map)

  Sets the map.

  Parameters:
    `map` - The map to set

### setAdditionalMaps

    public void setAdditionalMaps(org.apache.tools.ant.types.Path additionalMapsPath)

  Sets the additional DataMaps.

  Parameters:
    `additionalMapsPath` - The additional DataMaps to set

### setDestDir

    public void setDestDir(File destDir)

  Sets the destDir.

### setOverwrite

    public void setOverwrite(boolean overwrite)

  Sets `overwrite` property.

### setMakepairs

    public void setMakepairs(boolean makepairs)

  Sets `makepairs` property.

### setTemplate

    public void setTemplate(String template)

  Sets `template` property.

### setSupertemplate

    public void setSupertemplate(String supertemplate)

  Sets `supertemplate` property.

### setUsepkgpath

    public void setUsepkgpath(boolean usepkgpath)

  Sets `usepkgpath` property.

### setSuperpkg

    public void setSuperpkg(String superpkg)

  Sets `superpkg` property.

### setClient

    public void setClient(boolean client)

  Sets `client` property.

### setVersion

    public void setVersion(String version)

  Deprecated. since 3.0

  Sets `version` property.

### setEncoding

    public void setEncoding(String encoding)

  Sets `encoding` property that allows to generate files using non-default encoding.

### setExcludeEntities

    public void setExcludeEntities(String excludeEntitiesPattern)

  Sets `excludeEntitiesPattern` property.

### setIncludeEntities

    public void setIncludeEntities(String includeEntitiesPattern)

  Sets `includeEntitiesPattern` property.

### setOutputPattern

    public void setOutputPattern(String outputPattern)

  Sets `outputPattern` property.

### setMode

    public void setMode(String mode)

  Sets `mode` property.

### setEmbeddabletemplate

    public void setEmbeddabletemplate(String embeddabletemplate)

### setEmbeddablesupertemplate

    public void setEmbeddablesupertemplate(String embeddablesupertemplate)

### createConfig

    public Object createConfig()

  Provides a `VPPConfig` object to configure. (Written with createConfig() instead of addConfig() to avoid run-time dependency on VPP).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.